CamelImapSearch
3
CAMEL Library

# CamelImapSearch

## Synopsis

    struct              CamelImapSearch;
    CamelFolderSearch*  camel_imap_search_new               (const char *cachedir);

## Description

## Details

### struct CamelImapSearch

    struct CamelImapSearch {
    	CamelFolderSearch parent;

    	guint32 lastuid;	/* current 'last uid' for the folder */
    	guint32 validity;	/* validity of the current folder */

    	CamelDataCache *cache;	/* disk-cache for searches */

    	/* cache of body search matches */
    	unsigned int matches_count;
    	EDList matches;
    	GHashTable *matches_hash;
    };

### camel_imap_search_new ()

    CamelFolderSearch*  camel_imap_search_new               (const char *cachedir);

`cachedir` :

Returns :

  A new CamelImapSearch widget.